# __gnu_profile::__list2vector_info Class Reference

A list-to-vector instrumentation line in the object table. More...

Inheritance diagram for __gnu_profile::__list2vector_info:
[legend]

List of all members.

## Public Member Functions

- __list2vector_info (__stack_t __stack)
- __list2vector_info (const __list2vector_info &__o)
- const char * __advice () const
- bool __is_valid () const
- bool __is_valid ()
- size_t __iterate ()
- float __list_cost ()
- float __magnitude () const
- void __merge (const __list2vector_info &__o)
- void __opr_insert (size_t __shift, size_t __size)
- void __opr_iterate (size_t __num)
- size_t __resize ()
- void __resize (size_t __from, size_t __to)
- void __set_invalid ()
- void __set_list_cost (float __lc)
- void __set_vector_cost (float __vc)
- size_t __shift_count ()
- __stack_t __stack () const
- void __write (FILE *__f) const

## Protected Attributes

- __stack_t _M_stack

## Detailed Description

A list-to-vector instrumentation line in the object table.

Definition at line 59 of file profiler_list_to_vector.h.

The documentation for this class was generated from the following file:

- profiler_list_to_vector.h